
Name:          mina-ftpserver
Version:       1.0.6
Release:       %mkrel 1
Summary:       Apache Ftp Server
Group:         Development/Java
License:       ASL 2.0
Url:           http://mina.apache.org/ftpserver/
Source0:       ftp://ftp.gbnet.net/pub/apache/dist/mina/ftpserver/1.0.6/ftpserver-1.0.6-src.tar.gz
# edit
# org.codehaus.mojo rat-maven-plugin
Patch0:        mina-ftpserver-1.0.6-parent-pom.patch
Patch1:        mina-ftpserver-1.0.6-core-pom.patch
Patch2:        mina-ftpserver-1.0.6-distribution-pom.patch
# org.osgi osgi_R4_core 1.0
Patch3:        mina-ftpserver-1.0.6-examples-osgi-ftplet-service-pom.patch
# org.codehaus.mojo jxr-maven-plugin
Patch4:        mina-ftpserver-1.0.6-ftplet-api-pom.patch

BuildRequires: aopalliance
BuildRequires: apache-commons-codec
BuildRequires: apache-commons-logging
BuildRequires: apache-commons-net
BuildRequires: easymock
BuildRequires: easymock-classextension
BuildRequires: felix-osgi-core
BuildRequires: hsqldb
BuildRequires: junit
BuildRequires: liblog4j-java
BuildRequires: mina
BuildRequires: servlet25
BuildRequires: slf4j
BuildRequires: spring2-beans
BuildRequires: spring2-context
BuildRequires: spring2-core
BuildRequires: spring2-web

BuildRequires: jetty-maven-plugins
BuildRequires: maven
BuildRequires: maven-antrun-plugin
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-idea-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-release-plugin
BuildRequires: maven-remote-resources-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
BuildRequires: maven-war-plugin

Requires:      apache-commons-codec
Requires:      apache-commons-logging
Requires:      apache-commons-net
Requires:      easymock
Requires:      easymock-classextension
Requires:      felix-osgi-core
Requires:      hsqldb
Requires:      liblog4j-java
Requires:      mina
Requires:      servlet25
Requires:      slf4j
Requires:      spring2-context
Requires:      spring2-web

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Apache FtpServer is a 100% pure Java FTP server. It's
designed to be a complete and portable FTP server engine
solution based on currently available open protocols.
FtpServer can be run standalone as a Windows service or
Unix/Linux daemon, or embedded into a Java application.
We also provide support for integration within Spring
applications and provide our releases as OSGi bundles.
The default network support is based on Apache MINA, a
high performance asynchronous IO library. Using MINA,
FtpServer can scale to a large number of concurrent users.
It is also an FTP application platform. We have developed
a Java API to let you write Java code to process FTP event
notifications that we call the Ftplet API. Apache FtpServer
provides an implementation of an FTP server to support this
API. 

%package javadoc
Summary:       Javadocs for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n apache-ftpserver-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0

rm -rf $(find src -name "*.exe")
rm -rf $(find src -name "*.bat")

sed -i "s|<module>distribution</module>|<!--module>distribution</module-->|" src/pom.xml

# maven-bundle-plugin
# sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" src/core/pom.xml
# sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" src/examples/ftpserver-osgi-ftplet-service/pom.xml
# sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" src/examples/ftpserver-osgi-spring-service/pom.xml
# sed -i "s|<version>2.3.4</version>|<version>2.0.0</version>|" src/ftplet-api/pom.xml

%build
cd src

mvn-rpmbuild \
  -e \
  -Dmaven.test.failure.ignore=true \
  install javadoc:aggregate

# fix examples parent pom
sed -i "s|<module>ftpserver-example-spring-war</module>|<!--module>ftpserver-example-spring-war</module-->|" examples/pom.xml

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

cd src
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -pm 644 core/target/ftpserver-core-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/core.jar
install -pm 644 ftplet-api/target/ftplet-api-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/ftplet-api.jar
install -pm 644 examples/ftpserver-osgi-ftplet-service/target/ftpserver-osgi-ftplet-service-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-ftplet-service.jar
install -pm 644 examples/ftpserver-osgi-spring-service/target/ftpserver-osgi-spring-service-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}/osgi-spring-service.jar

install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -pm 644 examples/ftpserver-example-spring-war/target/ftpserver-spring-war.war $RPM_BUILD_ROOT%{_datadir}/%{name}/

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-parent.pom
%add_maven_depmap JPP.%{name}-parent.pom
install -pm 644 core/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-core.pom
%add_maven_depmap JPP.%{name}-core.pom %{name}/core.jar
install -pm 644 examples/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-examples.pom
%add_maven_depmap JPP.%{name}-examples.pom
install -pm 644 examples/ftpserver-osgi-ftplet-service/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-osgi-ftplet-service.pom
%add_maven_depmap JPP.%{name}-osgi-ftplet-service.pom %{name}/osgi-ftplet-service.jar
install -pm 644 examples/ftpserver-osgi-spring-service/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-osgi-spring-service.pom
%add_maven_depmap JPP.%{name}-osgi-spring-service.pom %{name}/osgi-spring-service.jar
install -pm 644 ftplet-api/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.%{name}-ftplet-api.pom
%add_maven_depmap JPP.%{name}-ftplet-api.pom %{name}/ftplet-api.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/core.jar
%{_javadir}/%{name}/ftplet-api.jar
%{_javadir}/%{name}/osgi-ftplet-service.jar
%{_javadir}/%{name}/osgi-spring-service.jar
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc src/LICENSE src/NOTICE

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Wed Dec 07 2011 gil <gil> 1.0.6-1.mga2
+ Revision: 178418
- build fix remove sed for maven-plugin-bundle
- fix release

* Mon Oct 03 2011 gil <gil> 1.0.6-0.mga2
+ Revision: 151349
- imported package mina-ftpserver

